### Function

# EDataServer xmlhash_new

#### Declaration [src]

    EXmlHash*
    e_xmlhash_new (
      const gchar* filename
    )

#### Description [src]

Creates a new `EXmlHash` from the file `filename`. If `filename` does not already exist, an empty `EXmlHash` will be created.

This function is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const gchar*`

  The name of an XML file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EXmlHash`

The new `EXmlHash` structure, or `NULL` if unable to parse `filename`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.